#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 http3
version:              0.0.0
visibility:           public
id:                   http3-0.0.0-4QScdyB068n9FQobJbyriR
key:                  http3-0.0.0-4QScdyB068n9FQobJbyriR
license:              BSD-3-Clause
maintainer:           Kazu Yamamoto <kazu@iij.ad.jp>
author:               Kazu Yamamoto <kazu@iij.ad.jp>
homepage:             https://github.com/kazu-yamamoto/http3
synopsis:             HTTP/3 library
description:          HTTP/3 library including frames, QPACK, client and server.
category:             Network
abi:                  cc07f2661faa17719ec0a917de3d6c70
exposed:              True
exposed-modules:
    Network.HQ.Client Network.HQ.Server Network.HTTP3.Client
    Network.HTTP3.Internal Network.HTTP3.Server Network.QPACK
    Network.QPACK.Internal

hidden-modules:
    Imports Network.HTTP3.Config Network.HTTP3.Context
    Network.HTTP3.Control Network.HTTP3.Error Network.HTTP3.Frame
    Network.HTTP3.Recv Network.HTTP3.Send Network.HTTP3.Settings
    Network.HTTP3.Stream Network.QPACK.Error Network.QPACK.HeaderBlock
    Network.QPACK.HeaderBlock.Decode Network.QPACK.HeaderBlock.Encode
    Network.QPACK.HeaderBlock.Prefix Network.QPACK.Instruction
    Network.QPACK.Table Network.QPACK.Table.Dynamic
    Network.QPACK.Table.RevIndex Network.QPACK.Table.Static
    Network.QPACK.Token Network.QPACK.Types

import-dirs:          /usr/lib/ghc-9.0.2/site-local/http3-0.0.0
library-dirs:         /usr/lib/ghc-9.0.2/site-local/http3-0.0.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-http3
hs-libraries:         HShttp3-0.0.0-4QScdyB068n9FQobJbyriR
depends:
    array-0.5.4.0 base-4.15.1.0 bytestring-0.10.12.1
    case-insensitive-1.2.1.0-Krzwt9Uo3qoLEdElVbDu5x containers-0.6.4.1
    http-types-0.12.3-JAMRNTQTYKZAFFy6KP2C7i
    http2-3.0.3-Ju1j5XE2YqUJ2SSE74xXNh
    network-3.1.2.7-CYWaC4XvHgd3jC4vMNSEt4
    network-byte-order-0.1.6-JWHJVTs8FS0ERyuNNBvW3b
    quic-0.0.1-7NOBjYl6zAI2vZ1iwJ3fYZ
    sockaddr-0.0.1-Lb09BAmxSqN7VRtcqSQLM4 stm-2.5.0.0
    time-manager-0.0.0-HLRsFeIBYrl6f6WI11zNl0
    unliftio-0.2.23.0-C5tMhXAOaovK4qywlP7BQ5

haddock-interfaces:   /usr/share/doc/haskell-http3/html/http3.haddock
haddock-html:         /usr/share/doc/haskell-http3/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

